> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchanges List with Data

> This endpoint allows you to **query all the supported exchanges with exchanges' data (ID, name, country, ...) that have active trading volumes on CoinGecko**

<Tip>
  ### Tips

  * You may include values such as `per_page` and `page` to specify how many results you would like to show in the responses per page and which page of responses you would like to show.
</Tip>

<Note>
  ### Note

  * All the exchanges in the responses are the exchanges with active trading volume on CoinGecko, any inactive or deactivated exchanges will be removed from the list.
  * Cache / Update Frequency: every 60 seconds for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-pro.json get /exchanges
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /exchanges:
    get:
      tags:
        - Exchanges
      summary: Exchanges List with Data
      description: >-
        This endpoint allows you to **query all the supported exchanges with
        exchanges' data (ID, name, country, ...) that have active trading
        volumes on CoinGecko**
      operationId: exchanges
      parameters:
        - name: per_page
          in: query
          description: |-
            total results per page, default: 100 
             Valid values: 1...250
          required: false
          schema:
            type: number
        - name: page
          in: query
          description: 'page through results, default: 1'
          required: false
          schema:
            type: number
      responses:
        '200':
          description: List all exchanges
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Exchanges'
components:
  schemas:
    Exchanges:
      type: object
      properties:
        id:
          type: string
          description: exchange ID
        name:
          type: string
          description: exchange name
        year_established:
          type: number
          nullable: true
          description: exchange established year
        country:
          type: string
          nullable: true
          description: exchange country
        description:
          type: string
          description: exchange description
        url:
          type: string
          description: exchange website URL
        image:
          type: string
          description: exchange image URL
        has_trading_incentive:
          type: boolean
          nullable: true
          description: exchange trading incentive
        trust_score:
          type: number
          description: exchange trust score
        trust_score_rank:
          type: number
          description: exchange trust score rank
        trade_volume_24h_btc:
          type: number
          description: exchange trade volume in BTC in 24 hours
      example:
        - id: bybit_spot
          name: Bybit
          year_established: 2018
          country: British Virgin Islands
          description: >-
            Bybit is a cryptocurrency exchange that offers a professional
            platform featuring an ultra-fast matching engine, excellent customer
            service and multilingual community support for crypto traders of all
            levels...
          url: https://www.bybit.com
          image: >-
            https://assets.coingecko.com/markets/images/698/small/bybit_spot.png?1706864649
          has_trading_incentive: false
          trust_score: 10
          trust_score_rank: 1
          trade_volume_24h_btc: 51075.6271283852
        - id: gdax
          name: Coinbase Exchange
          year_established: 2012
          country: United States
          description: ''
          url: https://www.coinbase.com/
          image: >-
            https://assets.coingecko.com/markets/images/23/small/Coinbase_Coin_Primary.png?1706864258
          has_trading_incentive: false
          trust_score: 10
          trust_score_rank: 2
          trade_volume_24h_btc: 37443.7299607648
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````